@font-face {
  font-family: 'InterTight';
  src: url('../font/InterTight-ExtraLight.ttf') format('truetype');
  font-weight: 200; 
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'NyghtSerif';
  src: url('../font/NyghtSerif-LightItalic.ttf') format('truetype');
  font-weight: 300; 
  font-style: italic;
  font-display: swap;
}

html{
  overflow: auto!important;
}

body{
    font-family: 'InterTight';
    color: #0a0a0a;
}

body.no-scroll {
  overflow: hidden;
}

p{
    margin: 0;
}

.container{
    padding: 0 20px;
}

header{
    padding: 15px 0;
    position: relative;
    z-index: 101;
}

header.fixed{
  position: fixed;
  width: 100%;
  top: 0;
}

header .wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .works, header .info{
    font-family: 'NyghtSerif';
    font-size: 18px;
    letter-spacing: 0.03em;
    font-weight: 300;
    font-style: italic;
    flex-basis: 15%;
    cursor: pointer;
    color: #0a0a0a;
    text-decoration: none;
}

header .info a{
  font-family: 'NyghtSerif';
    font-size: 18px;
    letter-spacing: 0.03em;
    font-weight: 300;
    font-style: italic;
    cursor: pointer;
    color: #0a0a0a;
    text-decoration: none;
}

header .site-branding{
    flex-basis: 70%;
    text-align: center;
}

header .info{
    text-align: right;
}

.custom-logo-link.hidden{
  display: none;
}

/*.info-block {
  display: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.1s ease;
  z-index: 99;
}

.info-block.active {
  opacity: 1;
  pointer-events: auto;
  position: fixed;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
}

.info-items {
    list-style: none;
    padding: 0;
    margin: 85px 20px 0 0;
    text-align: right;
    position: relative;
    z-index: 100;
}

.info-block .info-text p, .info-block a{
    font-family: "NyghtSerif", sans-serif;
    font-size: 32px;
    font-weight: 300;
    font-style: italic;
    color: #0a0a0a;
    text-decoration: none;
}

.info-block .title{
    font-family: "InterTight", sans-serif;
    font-size: 11px;
    letter-spacing: 0.06em;
    font-weight: 200;
    text-transform: uppercase;
}

.info-block li{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    column-gap: 30px;
    margin-bottom: 15px;
}

.info-block .developed{
  margin: 0 20px 0 0;
  padding: 0;
}*/

.works-menu {
  display: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.1s ease;
  z-index: 100;
}

.works-menu .works-list{
    padding: 60px 100px;
    position: relative;
    z-index: 1;
    
}

.works-menu.active {
  position: fixed;
  opacity: 1;
  pointer-events: auto;
  display: block;
  overflow: auto;
}

.works-menu ul{
    /*display: grid;
    grid-template-columns: 1fr 1fr;*/
    max-width: 566px;
    list-style: none;
    margin: 0;
    padding: 0;
}

.works-menu .works-list .work-item{
  margin-bottom: 10px;
}

.works-menu li a{
    font-family: "NyghtSerif", sans-serif;
    font-size: 26px;
    letter-spacing: 0.03em;
    font-weight: 600;
    font-style: italic;
    color: #0a0a0a;
    text-decoration: none;
}

.works-menu li:hover a{
  text-decoration: underline;
}

.site-overlay {
  position: fixed;
  inset: 0; 
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.34);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  background-color: rgb(255 255 255 / 52%);
  -webkit-transform: translateZ(0);
  z-index: 99; 
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease;
}

.site-overlay.active {
  opacity: 1;
  visibility: visible;
}

/*Error page */

.error404{
    background-image: url(../img/error-black.jpg);
}

.error-404{
    height: 90vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.error-404 h1{
  font-family: "NyghtSerif", sans-serif;
  font-size: 32px;
  font-weight: 300;
  font-style: italic;
  margin: 0;
  color: #ffffff;
}

.error-404 p{
  font-size: 11px;
  letter-spacing: 0.06em;
  font-weight: 200;
  text-transform: uppercase;
  margin: 5px 0 25px;
  color: #ffffff;
}

.error-404 a{
  font-family: "NyghtSerif", sans-serif;
  font-size: 18px;
  letter-spacing: 0.03em;
  font-weight: 300;
  font-style: italic;
  color: #ffffff;
  text-decoration: none;
}

.error-404 a:hover{
  text-decoration: underline;
}

.error404 header .works, .error404 header .info{
  color: #ffffff;
}

.error404 .custom-logo{
  filter: invert(1);
}

.error404 .site-overlay{
  background: rgb(42 42 42 / 34%);
}

.error404 .info-block .info-text p, .error404 .info-block a{
  color: #ffffff;
}

.error404 .info-block .title{
  color: #ffffff;
}

.error404 .works-menu li a{
  color: #ffffff;
}

/*SINGLE WORK */

.single-works h1{
  font-family: "NyghtSerif", sans-serif;
  font-size: 26px;
  font-weight: 300;
  font-style: italic;
  text-align: center;
  margin: 40px 0 0;
}

.single-works .works-content p{
  font-size: 11px;
  letter-spacing: 0.06em;
  font-weight: 200;
  text-transform: uppercase;
  max-width: 46%;
  margin: 10px auto 30px;
  text-align: center;
  /*position: absolute;
  top: 0;
  left: 27%;
  right: 27%;*/
}

.single-works .top-wrapper{
  position: relative;
}

.single-works .works-navigation{
  position: absolute;
  top: 10px;
  width: 100%;
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
}

.single-works .works-navigation.hidden{
  display: none;
}

.single-works .works-navigation a{
  font-family: "NyghtSerif", sans-serif;
  font-size: 15px;
  letter-spacing: 0.03em;
  font-weight: 300;
  font-style: italic;
  color: #0a0a0a;
  text-decoration: none;
}

.single-works .works-navigation a:hover{
  text-decoration: underline;
}

.single-works .works-content{
  padding-top: 25px;
  position: relative;
}

.single-works .works-content.description-exist{
  padding-top: 0;
}

.single-works .gallery-item img{
  height: 240px;
}

@media screen and (max-width: 992px){
  .single-works .works-content p{
    max-width: 76%;
    left: 12%;
    right: 12%;
  }
}

@media screen and (max-width: 768px){
  body.no-scroll {
    padding-top: 2px;
  }
  body.no-scroll header{
    height: 52px;
  }
  .custom-logo-link img{
    max-width: 179px;
  }

  header .works, header .info{
    font-size: 13px;
  }

  .works-menu li a{
    font-size: 22px;
  }

  .works-menu ul{
    grid-template-columns: 1fr;
  }

  .works-menu .works-list{
    padding: 40px 90px;
  }

  /*.info-block .title{
    font-size: 10px;
    order: 1;
    flex-basis: 100%;
  }

  .info-block .info-text p, .info-block a{
    font-size: 22px;
    order: 2;
  }

  .info-block li{
    flex-wrap: wrap;
    justify-content: flex-start;
    text-align: left;
  }

  .info-block .info-text{
    flex-basis: 100%;
    order: 2;
  }

  .info-items{
    margin-left: 20px;
  }

  .info-block .developed{
    margin: 0 20px;
  }*/

  .single-works h1{
    font-size: 22px;
    margin-top: 30px;
  }

  .single-works .works-navigation a{
    font-size: 12px;
  }

  .single-works .works-navigation{
    top: 3px;
  }

  .single-works .works-content p{
    font-size: 10px;
    padding: 0 20px;
  }

  .single-works .gallery-item img {
        height: 170px;
    }

  .error-404 h1{
    font-size: 22px;
  }

  .error-404 a{
    font-size: 13px;
  }

}

@media screen and (max-width: 992px){
  .single-works .works-content p{
    max-width: 100%;
    left: 0%;
    right: 0%;
  }
}

body.page-template-contacts-page{
    margin: 0;
    height: 100vh;
    overflow: hidden;
}